Manually run a tool from an External MCP Connection
curl --request POST \
--url https://api.example.com/v1/mcp-connections/{connectionId}/tools/call \
--header 'Content-Type: application/json' \
--data '
{
"toolName": "<string>",
"arguments": {}
}
'import requests
url = "https://api.example.com/v1/mcp-connections/{connectionId}/tools/call"
payload = {
"toolName": "<string>",
"arguments": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({toolName: '<string>', arguments: {}})
};
fetch('https://api.example.com/v1/mcp-connections/{connectionId}/tools/call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"referenceId": "<string>",
"durationMs": 1,
"result": "<unknown>",
"inspection": {
"diagnosis": {
"status": "succeeded",
"layer": "openwork",
"summary": "<string>"
},
"request": {
"method": "<string>",
"url": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"headers": [
{
"name": "<string>",
"value": "<string>",
"redacted": true
}
],
"body": {
"text": "<string>",
"bytes": 4503599627370495,
"truncated": true,
"unavailable": true
}
},
"response": {
"status": 349,
"statusText": "<string>",
"durationMs": 1,
"headers": [
{
"name": "<string>",
"value": "<string>",
"redacted": true
}
],
"body": {
"text": "<string>",
"bytes": 4503599627370495,
"truncated": true,
"unavailable": true
}
}
}
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "connection_not_found",
"message": "<string>"
}{
"error": "connection_not_ready",
"message": "<string>"
}{
"error": "payload_too_large",
"message": "<string>"
}{
"error": "tool_execution_failed",
"message": "<string>",
"diagnostic": {
"referenceId": "<string>",
"phase": "CONFIGURATION",
"category": "<string>",
"code": "<string>",
"highestPassed": "configured",
"retryable": true,
"actionOwner": "openwork",
"operatorAction": "<string>",
"message": "<string>",
"httpStatus": 349,
"operationPhase": "CONFIGURATION",
"outbound": {
"origin": "<string>",
"pathHash": "<string>"
},
"providerRequestId": "<string>",
"providerStatus": 0,
"providerCode": "<string>",
"payloadBytes": 0,
"jsonRpcCode": 0,
"connectUrl": "<string>"
},
"inspection": {
"diagnosis": {
"status": "succeeded",
"layer": "openwork",
"summary": "<string>"
},
"request": {
"method": "<string>",
"url": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"headers": [
{
"name": "<string>",
"value": "<string>",
"redacted": true
}
],
"body": {
"text": "<string>",
"bytes": 4503599627370495,
"truncated": true,
"unavailable": true
}
},
"response": {
"status": 349,
"statusText": "<string>",
"durationMs": 1,
"headers": [
{
"name": "<string>",
"value": "<string>",
"redacted": true
}
],
"body": {
"text": "<string>",
"bytes": 4503599627370495,
"truncated": true,
"unavailable": true
}
}
}
}Authentication
Manually run a tool from an External MCP Connection
Workspace owner/admin diagnostic runner. Executes one named MCP tool with caller-supplied JSON arguments using the Den-managed shared credential or the calling admin’s connected credential. Returns an ephemeral inspection of the actual tools/call HTTP request and response with credential and session headers redacted. The caller must already be granted access to the connection. Credentials, arguments, results, and inspection payloads are never written to logs.
POST
/
v1
/
mcp-connections
/
{connectionId}
/
tools
/
call
Manually run a tool from an External MCP Connection
Path Parameters
Den TypeID with 'emc_' prefix and a 26-character base32 suffix.
Required string length:
30Pattern:
^emc_.*Body
application/json
Was this page helpful?
⌘I